Subject: Re: [v6ops] transition-ipv4aas: positioning the draft

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 26 Apr 2018 09:06:40 +0200

Hi Med,

My personal opinion is still that a bis makes more sense, but I think that train already left.

So, what I think it make sense now is to update only the transition section on RFC7084 in this new document, may be something like:

"This document updates RFC7084 by deleting section 4.4. RFC7084 is, as a consequence, reduced in scope to the specification of requirements for an IPv6 Customer Edge, not including transition support, so all the transition requirements are defined instead, in this document."

Then we avoid any mention of 6rd and include the DS-Lite section in this document.

Med, Barbara, what do you think?

Regards,
Jordi

-----Mensaje original-----
De: v6ops <[email-masked]> en nombre de <[email-masked]>
Fecha: jueves, 26 de abril de 2018, 8:20
Para: "STARK, BARBARA H" <[email-masked]>, V6 Ops List <[email-masked]>
Asunto: Re: [v6ops] transition-ipv4aas: positioning the draft

    Re-,
    
    I do think this would be so simple if the WG went for a bis document. 
    
    I don't understand the rationale for duplicating DS-Lite content given that Jordi's I-D points to 7084. 
    
    Cheers,
    Med
    
    > -----Message d'origine-----
    > De : v6ops [mailto:[email-masked]] De la part de STARK, BARBARA H
    > Envoyé : mercredi 25 avril 2018 20:59
    > À : V6 Ops List
    > Objet : [v6ops] transition-ipv4aas: positioning the draft
    > 
    > I have a number of comments for draft-palet-v6ops-transition-ipv4aas. I'm
    > grouping comments under different email subject headers so it's easier to
    > track the topic of any resulting discussion.
    > 
    > The first area of comments I have is on how to position this draft relative
    > to RFC 7084 and in a way that will maximize its impact and likelihood of
    > achieving its goal (which I think is to drive availability of CE routers that
    > support *all* of the included transition technologies).
    > 
    > I notice the draft introduces the term "IPv6 transition CE". Sometimes this
    > is "IPv6 transition CE router". I like this idea, but would suggest
    > capitalizing and using the longer "IPv6 Transition CE Router". I think if
    > this is a more formal term and this draft is positioned as defining
    > requirements for an IPv6 Transition CE Router (rather than simply specifying
    > "the transition requirements for an IPv6 Customer Edge (CE) router") then it
    > becomes ok to make most of the SHOULD requirements into a MUST. That is, the
    > draft is not an extension of a CE Router (RFC 7084). It's something new that
    > is specified and defined here. And should be the title of the draft.
    > 
    > Saying "MUST" is stronger than "SHOULD" and will increase likelihood of
    > success. It will also increase likelihood that *all* of the included
    > technologies are implemented (as currently written it would be possible to do
    > one or 2 of the technologies and still claim compliance). And it will make it
    > easier to create a subsequent certification program, if there is demand for
    > one. If the MUST statements apply only to the IPv6 Transition CE Router this
    > draft defines, then there is no problem with saying "MUST". The requirements
    > have no scope outside this draft.
    > 
    > ----------
    > 
    > If taking this approach, requirements for DS-Lite would need to be included.
    > Those can be copied from RFC 7084.
    > 
    > ----------
    > 
    > RFC 7084 can still be a basis for this new thing (MUST comply with RFC 7084).
    > 
    > The current requirement for RFC 7084 compliance is "The IPv6 Transition CE
    > router must comply with all the requirements stated in [RFC7084]."
    > I suggest staying away from "all the requirements", since the RFC 7084 SHOULD
    > and MAY requirements are also requirements, and I don't think it's intended
    > to mandate those. I recommend simply saying:
    > The IPv6 Transition CE router MUST comply with [RFC7084].
    > 
    > ---------
    > 
    > If done this way, I don't think it's necessary to make mention of 6rd in any
    > way. It's omission from this draft will make it clear that it's not a
    > component of an IPv6 Transition CE Router.
    > 
    > 
    > Barbara
    > 
    > _______________________________________________
    > v6ops mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/v6ops
    
    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: <[email-masked]>
Date: Thu, 26 Apr 2018 07:27:39 +0000

Re-,

I don't parse well what is meant by an update which consists in moving the content from an RFC to another "future" RFC. 

Cheers,
Med

> De : v6ops [mailto:[email-masked]] De la part de JORDI PALET MARTINEZ
> Envoyé : jeudi 26 avril 2018 09:07
> À : V6 Ops List
> Objet : Re: [v6ops] transition-ipv4aas: positioning the draft
> 
> Hi Med,
> 
> So, what I think it make sense now is to update only the transition section
> on RFC7084 in this new document, may be something like:
> 
> "This document updates RFC7084 by deleting section 4.4. RFC7084 is, as a
> consequence, reduced in scope to the specification of requirements for an
> IPv6 Customer Edge, not including transition support, so all the transition
> requirements are defined instead, in this document."
> 
> This electronic message contains information which may be privileged or
> confidential. The information is intended to be for the exclusive use of the
> individual(s) named above and further non-explicilty authorized disclosure,
> copying, distribution or use of the contents of this information, even if
> partially, including attached files, is strictly prohibited and will be
> considered a criminal offense. If you are not the intended recipient be aware
> that any disclosure, copying, distribution or use of the contents of this
> information, even if partially, including attached files, is strictly
> prohibited, will be considered a criminal offense, so you must reply to the
> original sender to inform about this communication and delete it.
> 
> 
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 26 Apr 2018 09:34:50 +0200

I believe an RFC can update a previous one in any sense.

So, what I'm suggesting is deleting a section that now includes DS-Lite and 6rd, but only including DS-Lite in the new document.

Current section "4.4.  Transition Technologies Support", includes only 2 sub-sections 4.4.1 6rd, and 4.4.2. Nothing else. So I'm suggesting that we copy 4.4.2, as suggested by Barbara, but left out 4.4.1.

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Fecha: jueves, 26 de abril de 2018, 9:27
Para: JORDI PALET MARTINEZ <[email-masked]>, V6 Ops List <[email-masked]>
Asunto: RE: [v6ops] transition-ipv4aas: positioning the draft

    Re-,

    Cheers,
    Med

---

From: <[email-masked]>
Date: Thu, 26 Apr 2018 07:52:31 +0000

Re-,

..but you have also this "The IPv6 Transition CE router MUST comply with [RFC7084]" which means that the document is asking to comply with an RFC (that its updates). A cross dependency is to be fixed. 

If you want to proceed with the update approach, then you should update: 

OLD: 

to something which says section 4.4.1 is to be ignored.

An alternate wording would be:

NEW:
  The IPv6 Transition CE router MUST comply with [RFC7084] and its updates.

But again, this is weird given that an "update" is this document. 

Cheers,
Med

> Envoyé : jeudi 26 avril 2018 09:35
> À : V6 Ops List
> So, what I'm suggesting is deleting a section that now includes DS-Lite and
> 6rd, but only including DS-Lite in the new document.
> 
> Current section "4.4.  Transition Technologies Support", includes only 2 sub-
> sections 4.4.1 6rd, and 4.4.2. Nothing else. So I'm suggesting that we copy
> 4.4.2, as suggested by Barbara, but left out 4.4.1.
> 
> Regards,
> Jordi
> 
> 
>     I don't parse well what is meant by an update which consists in moving
> the content from an RFC to another "future" RFC.
> 
>     Cheers,
>     Med
> 
>     > My personal opinion is still that a bis makes more sense, but I think
> that
>     > train already left.
>     >
>     > Then we avoid any mention of 6rd and include the DS-Lite section in
> this
>     > document.
>     >
>     >     I don't understand the rationale for duplicating DS-Lite content
> given
>     > that Jordi's I-D points to 7084.
>     >
>     >     Cheers,
>     >     Med
>     >
>     >     > De : v6ops [mailto:[email-masked]] De la part de STARK,
> BARBARA
>     > H
>     >     > I have a number of comments for draft-palet-v6ops-transition-
> ipv4aas.
>     > I'm
>     >     > grouping comments under different email subject headers so it's
> easier
>     > to
>     >     > The first area of comments I have is on how to position this
> draft
>     > relative
>     >     > to RFC 7084 and in a way that will maximize its impact and
> likelihood
>     > of
>     >     > I notice the draft introduces the term "IPv6 transition CE".
> Sometimes
>     > this
>     >     > capitalizing and using the longer "IPv6 Transition CE Router". I
> think
>     > if
>     >     > "the transition requirements for an IPv6 Customer Edge (CE)
> router")
>     > then it
>     >     > becomes ok to make most of the SHOULD requirements into a MUST.
> That
>     > is, the
>     >     > draft is not an extension of a CE Router (RFC 7084). It's
> something new
>     > that
>     >     > technologies are implemented (as currently written it would be
> possible
>     > to do
>     >     > one or 2 of the technologies and still claim compliance). And it
> will
>     > make it
>     >     > easier to create a subsequent certification program, if there is
> demand
>     > for
>     >     > one. If the MUST statements apply only to the IPv6 Transition CE
> Router
>     > this
>     >     > If taking this approach, requirements for DS-Lite would need to
> be
>     > included.
>     >     > RFC 7084 can still be a basis for this new thing (MUST comply
> with RFC
>     > 7084).
>     >     >
>     >     > The current requirement for RFC 7084 compliance is "The IPv6
> Transition
>     > CE
>     >     > I suggest staying away from "all the requirements", since the RFC
> 7084
>     > SHOULD
>     >     > and MAY requirements are also requirements, and I don't think
> it's
>     > intended
>     >     > If done this way, I don't think it's necessary to make mention of
> 6rd
>     > in any

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 26 Apr 2018 10:00:43 +0200

That's a good point, let's see if Barbara agree.

I don't see a problem if it is made clear that this new document complements and updates RFC7084 in one specific section. Maybe the chairs or AD can confirm this?
"The IPv6 Transition CE router MUST comply with [RFC7084], ignoring section 4.4. as it becomes updated by this document"

One more advantage of that approach is that when somebody finds somewhere a reference to RFC7084, will be also noticing the update, so they will read the new document, so it is a perfect way for 2 documents to become complementary.

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Fecha: jueves, 26 de abril de 2018, 9:52
Para: JORDI PALET MARTINEZ <[email-masked]>, V6 Ops List <[email-masked]>
Asunto: RE: [v6ops] transition-ipv4aas: positioning the draft

    Re-,

    
    OLD: 

    
    NEW:

    Cheers,
    Med

---

From: Masanobu Kawashima <[email-masked]>
Date: Thu, 26 Apr 2018 12:37:27 +0000

I agree with Jordi. 

As for the positioning of this draft and RFC7084, I think following is better 
for CPE vendors, ISPs, etc. 

- RFC7084bis 
  - Delete 6rd and DS-Lite section and refer to "The IPv6 Transition CE router" 
    document. 
  - Some other minor updates if it is needed. 

- 'The IPv6 Transition CE router' (transition-ipv4aas) 
  - Include DS-Lite section from RFC7084. 

If you want to know IPv6 CE router specs, you will check and comply RFC7084bis, 
if you want to focus more on transition technologies, you can check and comply 
'The IPv6 Transition CE router' document. 

Regards, 
Masanobu 

==================================== 
 NEC Platforms, Ltd.                 
 KAWASHIMA Masanobu                  
 [email-masked]            
 https://www.necplatforms.co.jp/en/  
==================================== 

> -----Original Message-----
> From: v6ops [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
> Sent: Thursday, April 26, 2018 5:01 PM
> To: V6 Ops List <[email-masked]>
> Subject: Re: [v6ops] transition-ipv4aas: positioning the draft
> 
> One more advantage of that approach is that when somebody finds somewhere a reference to RFC7084, will be also noticing
> the update, so they will read the new document, so it is a perfect way for 2 documents to become complementary.
> 
> Regards,
> Jordi
> 
> 
>     ..but you have also this "The IPv6 Transition CE router MUST comply with [RFC7084]" which means that the document
> is asking to comply with an RFC (that its updates). A cross dependency is to be fixed.
> 
> This electronic message contains information which may be privileged or confidential. The information is intended
> to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying,
> distribution or use of the contents of this information, even if partially, including attached files, is strictly
> prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure,
> copying, distribution or use of the contents of this information, even if partially, including attached files, is
> strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about
> this communication and delete it.
> 
> 
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 26 Apr 2018 15:15:26 +0200

Hi Masanobu,

In the last 2 years, we had a lot of debate about a possible RFC7084-bis (which means obsoleting RFC7084), and the conclusion was that this is *not wanted*. I don't think we should restart that discussion anymore.

So, what I'm proposing is "no need for an RFC7084-bis", however, the new document can make an update only to the transition section of RFC7084 (no need to modify this document, the RFC editor will make a header note on that one to reflect the "link" to the new document).

Regards,
Jordi

-----Mensaje original-----
De: Masanobu Kawashima <[email-masked]>
Fecha: jueves, 26 de abril de 2018, 14:38
Para: JORDI PALET MARTINEZ <[email-masked]>, V6 Ops List <[email-masked]>
Asunto: RE: [v6ops] transition-ipv4aas: positioning the draft

    I agree with Jordi. 

    - RFC7084bis 

    
    Regards, 
    Masanobu

---

From: Masanobu Kawashima <[email-masked]>
Date: Thu, 26 Apr 2018 13:34:46 +0000

Jordi, 

I got your point. It makes sense now. Thank you for the clarification. 

Regards, 
Masanobu 

> Sent: Thursday, April 26, 2018 10:15 PM
> In the last 2 years, we had a lot of debate about a possible RFC7084-bis (which means obsoleting RFC7084), and the
> conclusion was that this is *not wanted*. I don't think we should restart that discussion anymore.
> 
> So, what I'm proposing is "no need for an RFC7084-bis", however, the new document can make an update only to the transition
> section of RFC7084 (no need to modify this document, the RFC editor will make a header note on that one to reflect
> the "link" to the new document).
> 
> Regards,
> Jordi
> 
> 
>     > I don't see a problem if it is made clear that this new document complements and updates RFC7084 in one specific
> section.
>     > Maybe the chairs or AD can confirm this?